Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Firefox 3.1/xulrunner 1.9.1 [layman -a mozilla]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
armin76
Retired Dev
Retired Dev


Joined: 24 Apr 2006
Posts: 174

PostPosted: Wed Sep 10, 2008 9:17 am    Post subject: Firefox 3.1/xulrunner 1.9.1 [layman -a mozilla] Reply with quote

I'm opening this thread so ppl can talk about firefox 3.1.

The ebuilds are available in the mozilla overlay, which you can get by installing layman and running layman -a mozilla

The -bin has been in the tree for some time already, but its masked.
Back to top
View user's profile Send private message
ericxx2005
Apprentice
Apprentice


Joined: 05 Apr 2005
Posts: 231
Location: 10 square miles surrounded by reality

PostPosted: Wed Sep 10, 2008 4:36 pm    Post subject: Reply with quote

I'm using that overlay and ebuild right now. Haven't had any problems. I was able to try a HTML5 example from here: http://developer.apple.com/samplecode/HTML_video_example/index.html . Buggy, but it works.
_________________
AMD 1090T | 2 GB | AMD 890GX | Gentoo x86_64
Core i7-920 | 6 GB | AMD 5850 | Windows 7 Pro
Back to top
View user's profile Send private message
marschw
n00b
n00b


Joined: 04 Jun 2003
Posts: 51

PostPosted: Thu Sep 11, 2008 1:00 am    Post subject: Reply with quote

Xulrunner wouldn't build for me; I forget the errors, but they were about directfb. I had to add these two lines to the ebuild, right before 'emake || die "emake failed"':
Code:
echo 'CXXFLAGS += -I../public' >> gfx/thebes/src/Makefile.in
echo 'EXTRA_DSO_LDOPTS += -ldirectfb -ldirect' >> gfx/thebes/src/Makefile.in

And I had to run the build like this:
Code:
MOZ_DFB=1 emerge xulrunner

And that did it. Perhaps it's an amd64 issue?
Back to top
View user's profile Send private message
marschw
n00b
n00b


Joined: 04 Jun 2003
Posts: 51

PostPosted: Thu Sep 11, 2008 6:24 pm    Post subject: Reply with quote

Still necessary in 1.9.1_alpha2-r1.
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Wed Nov 19, 2008 8:11 pm    Post subject: Reply with quote

I compiled beta1 from the overlay just fine. But in start up firefox crashes with a seg fault. :evil:
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
termite
Guru
Guru


Joined: 06 May 2007
Posts: 466

PostPosted: Wed Nov 19, 2008 11:30 pm    Post subject: Reply with quote

I had a segfault, but it started in safe mode, then started fine the next time. Had some issues with sessions, though, so I'm back on 3.04. I'll try again at beta2.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum